/** ================================= 期现关联 ================================**/
import { getUserId } from "@/services/bus/user";
import { commonSearch_go } from '@/services/go';
import { Ermcp3PaTradeLinkDetailReq, Ermcp3PaTradeLinkDetailReqRsp } from './interface';

/**
 * 查询期现关联记录 /Ermcp3/QueryPaTradeLinkDetail
 */
export function QueryPaTradeLinkDetail(req: Ermcp3PaTradeLinkDetailReq): Promise<Ermcp3PaTradeLinkDetailReqRsp[]> {
    const param = {
        userid: getUserId(),
    }
    Object.assign(param, req)
    return commonSearch_go('/Ermcp3/QueryPaTradeLinkDetail', param).catch((err) => {
        throw new Error(`查询期现关联记录: ${err}`);
    });
}

